%define anolis_release 1
Name:           vtable-dumper
Version:        1.2
Release:        %{anolis_release}%{?dist}
Summary:        Tool to list content of virtual tables in a C++ shared library

License:        GPL+ or LGPLv2+
URL:            https://github.com/lvc/vtable-dumper
Source0:        https://github.com/lvc/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires:  gcc gcc-c++
BuildRequires:  elfutils-libelf-devel


%description
Vtable-Dumper is a tool to list content of virtual tables in a C++ shared
library. It is intended for developers of software libraries and maintainers of
Linux distributions who are interested in ensuring backward binary
compatibility.

%package doc
Summary: Doc files for vtable-dumper
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Doc files for vtable-dumper


%prep
%autosetup


%build
%make_build CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"


%install
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 %{name} %{buildroot}%{_bindir}/
%generate_compatibility_deps

%files
%license LICENSE
%{_bindir}/%{name}
%dir %{abidir}
%{abidir}/vtable-dumper-option.list

%files doc
%doc README


%changelog
* Mon Oct 24 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.2-1
- init from upstream
